Package org.pushingpixels.substance.internal.colorscheme

# Class ShadeColorScheme

java.lang.Object
org.pushingpixels.substance.api.colorscheme.BaseColorScheme
org.pushingpixels.substance.internal.colorscheme.ShiftColorScheme
org.pushingpixels.substance.internal.colorscheme.ShadeColorScheme

All Implemented Interfaces:
  `SchemeBaseColors`, `SchemeDerivedColors`, `SubstanceColorScheme`, `SubstanceTrait`

public class ShadeColorScheme extends ShiftColorScheme
Shaded color scheme. A shaded color scheme is a color scheme that is shifted to black color.

See Also:
  - `ShiftColorScheme`

## Field Summary

### Fields inherited from class org.pushingpixels.substance.internal.colorscheme.ShiftColorScheme

`shiftedCache`

### Fields inherited from class org.pushingpixels.substance.api.colorscheme.BaseColorScheme

`derivedColorsResolver, displayName, isDark`

## Constructor Summary

Constructors
Constructor
Description
`ShadeColorScheme(SubstanceColorScheme origColorScheme, double shadeFactor)`
Creates a new shaded color scheme.

## Method Summary

### Methods inherited from class org.pushingpixels.substance.internal.colorscheme.ShiftColorScheme

`getDarkColor, getExtraLightColor, getForegroundColor, getLightColor, getMidColor, getOrigScheme, getShiftedScheme, getShiftFactor, getUltraDarkColor, getUltraLightColor`

### Methods inherited from class org.pushingpixels.substance.api.colorscheme.BaseColorScheme

`getBackgroundFillColor, getDisplayName, getFocusRingColor, getLineColor, getResolver, getSelectionBackgroundColor, getSelectionForegroundColor, getTextBackgroundFillColor, getWatermarkDarkColor, getWatermarkLightColor, getWatermarkStampColor, hueShift, invert, isDark, named, negate, saturate, shade, shift, shiftBackground, tint, tone, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ShadeColorScheme

public ShadeColorScheme(SubstanceColorScheme origColorScheme, double shadeFactor)
Creates a new shaded color scheme.

Parameters:
  `origColorScheme` - The original color scheme.
  `shadeFactor` - The shade factor. Should be in 0.0-1.0 range.